local function inChat()
	if managers.hud._chat_focus == true then
		return true
	end
end
local function isPlaying()
	if not BaseNetworkHandler then return false end
	return BaseNetworkHandler._gamestate_filter.any_ingame_playing[ game_state_machine:last_queued_state_name() ]
end
local function inGame()
	if not game_state_machine then return false end
	return string.find(game_state_machine:current_state_name(), "game")
end

local Net = _G.LuaNetworking

rockAndStoneList = {
	"mods/Rock_and_Stone/Assets/SpeakDwarfSep2020/RockAndStoneSalute_01.ogg",
	"mods/Rock_and_Stone/Assets/SpeakDwarfSep2020/RockAndStoneSalute_02.ogg",
	"mods/Rock_and_Stone/Assets/SpeakDwarfSep2020/RockAndStoneSalute_03.ogg",
	"mods/Rock_and_Stone/Assets/SpeakDwarfSep2020/RockAndStoneSalute_04.ogg",
	"mods/Rock_and_Stone/Assets/SpeakDwarfSep2020/RockAndStoneSalute_05.ogg",
	"mods/Rock_and_Stone/Assets/SpeakDwarfSep2020/RockAndStoneSalute_06.ogg",
	"mods/Rock_and_Stone/Assets/SpeakDwarfSep2020/RockAndStoneSalute_07.ogg",
	"mods/Rock_and_Stone/Assets/SpeakDwarfSep2020/RockAndStoneSalute_08.ogg",
	"mods/Rock_and_Stone/Assets/SpeakDwarfSep2020/RockAndStoneSalute_09.ogg",
	"mods/Rock_and_Stone/Assets/SpeakDwarfSep2020/RockAndStoneSalute_10.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_1.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_2.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_3.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_4.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_5.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_6.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_7.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_8.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_9.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_10.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_11.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_12.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_13.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_14.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_15.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_16.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_17.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_18.ogg",
	"mods/Rock_and_Stone/Assets/DwarfSpeakAugust2019/Saluting2_19.ogg"
}

if inGame() and isPlaying() and not inChat() then
	
	--Cooldown
	if not lastTime then
		local lastTime
		local remainingTime
	end
	local cooldown = 2
	if lastTime and Application:time() > lastTime + cooldown then
		lastTime = Application:time()
	else
		if not lastTime then
			lastTime = Application:time()
		else
			return
		end
	end
		
	math.randomseed(os.time())
	math.random(); math.random(); math.random()
	value = math.random(1,29)
	
	if Net:IsMultiplayer() then
		Net:SendToPeers( "RockAndStoneLine", tostring(value))
	end

	blt.xaudio.setup()
	rock = XAudio.Buffer:new(rockAndStoneList[value])
	vm = XAudio.VoicelineManager:new(XAudio.PLAYER, Rock)
	vm:update()
	vm:play(rock)
	vm:update()

else return end
